package main

import (
	"log"

	"git.jmbit.de/jmb/goipam/db"
	"git.jmbit.de/jmb/goipam/web"
)

func main() {
	readConfig()
	db.SetupDB()
	db.ConnectDB()
	err := web.Run()
	if err != nil {
		log.Fatal(err)
	}
}
